local M = {
  'hoob3rt/lualine.nvim',
  enabled = false,
  event = 'VeryLazy',
  dependencies = {
    'nvim-tree/nvim-web-devicons'
  },
}

function M.config()
  local navic = require('nvim-navic')
  require 'lualine'.setup {
    options = {
      icons_enabled = true,
      theme = vim.env.TERM ~= 'linux' and 'gruvbox' or nil,
      component_separators = { '', '' },
      section_separators = { '', '' },
      disabled_filetypes = {},
    },
    sections = {
      lualine_a = { 'mode' },
      lualine_b = { 'vim.fs.basename(vim.fn.getcwd())', 'branch' },
      lualine_c = { { 'filename', path = 1 } },
      lualine_x = { 'encoding', 'fileformat', 'filetype' },
      lualine_y = { 'progress' },
      lualine_z = { 'location' },
    },
    inactive_sections = {
      lualine_a = {},
      lualine_b = { 'vim.fs.basename(vim.fn.getcwd())', 'branch' },
      lualine_c = { { 'filename', path = 1 } },
      lualine_x = { 'encoding', 'fileformat', 'filetype' },
      lualine_y = { 'progress' },
      lualine_z = { 'location' },
    },
    tabline = {},
    winbar = {
      lualine_b = { { 'filename', path = 1 } },
      lualine_c = { { navic.get_location, cond = navic.is_available } },
      lualine_y = { { 'require("lsp_signature").status_line(100).label' }, 'filetype' },
    },
    inactive_winbar = {},
    extensions = { 'neo-tree' },
  }
end

return M
